<?php
/**
 * Customizer
 * 
 * @package WordPress
 * @subpackage personal-life-coach
 * @since personal-life-coach 1.0
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function personal_life_coach_customize_register( $wp_customize ) {
	$wp_customize->add_section( new Personal_Life_Coach_Upsell_Section($wp_customize,'upsell_section',array(
		'title'            => __( 'Personal Life Coach Pro', 'personal-life-coach' ),
		'button_text'      => __( 'Upgrade Pro', 'personal-life-coach' ),
		'url'              => 'https://www.wpradiant.net/products/life-coach-wordpress-theme',
		'priority'         => 0,
	)));
}
add_action( 'customize_register', 'personal_life_coach_customize_register' );

/**
 * Enqueue script for custom customize control.
 */
function personal_life_coach_custom_control_scripts() {
	wp_enqueue_script( 'personal-life-coach-custom-controls-js', get_template_directory_uri() . '/assets/js/custom-controls.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-sortable' ), '1.0', true );
	wp_enqueue_style( 'personal-life-coach-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'personal_life_coach_custom_control_scripts' );